# SimulatedDateTime

The SimulatedDateTime property can be used for testing purposes to simulate a system date time.

When this property is set, all license validation methods use the SimulatedDateTime instead of the system time to validate a license.

This is useful in testing the epxiry of licenses.

Example:

LicenseValidator lv = new LicenseValidator (settingsFile);

// Simulate Jan 1 2019.

lv.QlmLicenseObject.SimulatedDateTime = new DateTime(2019, 1, 1);

lv.ValidateLicenseAtStartup (...);


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/properties/simulateddatetime.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
